globus_callout_config(3)

NAME
globus_callout_config - Callout Configuration

 - Register callouts.

SYNOPSIS

  Functions

globus_result_t globus_callout_read_config (globus_callout_handle_t handle, char *filename)
globus_result_t globus_callout_register (globus_callout_handle_t handle, char *type, char *library, char *symbol)

Detailed Description

Register callouts.

This section defines operations for registering callouts. Callouts may be registered either through a configuration file or through calls to globus_callout_register.

Function Documentation

  globus_result_t globus_callout_read_config (globus_callout_handle_t handle, char * filename)
Read callout configuration from file.

This function read a configuration file with the following format:

•   Anything after a # is assumed to be a comment

•   Blanks lines are ignored

•   Lines specifying callouts have the format

       abstract type           library         symbol

•   where abstract type denotes the type of callout, e.g. globus_gram_jobmanager_authz, library denotes the library the callout can be found in and symbol denotes the function name of the callout. The library argument can be specified in two forms, libfoo or libfoo_flavor. When using the former version the current flavor will automatically be added to the library name if needed.

Parameters
    handle The handle that is to be configured
    filename The file to read configuration from

Returns
    This function returns GLOBUS_SUCCESS or a globus_result_t referring to an error object of one of the following types

Return values
    GLOBUS_CALLOUT_ERROR_OPENING_CONF_FILE Error opening filename
    GLOBUS_CALLOUT_ERROR_PARSING_CONF_FILE Error parsing file
    GLOBUS_CALLOUT_ERROR_OUT_OF_MEMORY Out of memory

  globus_result_t globus_callout_register (globus_callout_handle_t handle, char * type, char * library, char * symbol)
Register callout configuration

This function registers a callout type in the given handle.

Parameters
    handle The handle that is to be configured
    type The abstract type of the callout
    library The location of the library containing the callout
    symbol The symbol (ie function name) for the callout

Returns
    This function returns GLOBUS_SUCCESS or a globus_result_t referring to an error object of one of the following types

Return values
    GLOBUS_CALLOUT_ERROR_OUT_OF_MEMORY Out of memory

Author

Generated automatically by Doxygen for globus_callout from the source code.